<?php
/*
Plugin Name: Jim Stuff
Plugin URI: http://jimweller.net
Description: Jim
Author: Jim
Author URI: http://jimweller.net
*/ 


$latestItemShowCount = 3;


/* global database handle, MT uses ezsql */
require_once('/home/jimwelle/public_html/jimweller.com/mt-cgi/php/mt.php');
$mt = new MT();
$wpdb = $mt->db();



/* return N items from a $table in reverse order by ID*/
function items($table="jim-book", $mycount=3 ) 
{
    global $wpdb;
    $query = "SELECT * FROM $table ORDER BY id DESC LIMIT $mycount;";
    $items = $wpdb->get_results( $query );
    return $items;
}

/* return the most recent item from a table */
function item($mylist="book")
{
	foreach ( items($mylist, 1 ) as $item )
	{
		return $item;
	}
}

/* make an html list of items */
function item_list($mylist="jim_book",$mycount=5)
{
	$items = items($mylist,$mycount);
	foreach ( $items as $item )
	{
		if( $mylist == "jim_book" )
		{
			$string = $string . "<li>" . book_detail($item) . "</li>\n";
		}
		elseif( $mylist == "jim_link" )
		{
			$string = $string . "<li>" . link_detail($item) . "</li>\n";
		}
		elseif( $mylist == "jim_song" )
		{
			$string = $string . "<li>" . song_detail($item) . "</li>\n";
		}
	}
	return $string;
}




/*
Books
--------------------------------------------------------------------------
*/
function book_link()
{
	return book2link(item("jim_book"));
}

function book2link($book)
{
	return "<a href=\"/books.html\">" . htmlentities( $book["name"] . " by " . $book["author"] ) . "</a>";	
}

function book2string($book)
{
	return htmlentities( $book["name"] . " by " . $book["author"] . ' - ' . date(" M jS",strtotime($book["input_when"]))     );	
}

function book_detail($book)
{
    	return htmlentities( $book["name"] . " by " . $book["author"] . " (" . date("Y.m.d",strtotime($book["input_when"])) . ")" );
}








function link_link()
{
        return link2link( item("jim_link") );
 }

function link2link($link)
{
        $url = "/link";
				$string = "";
        if ( strlen($link["url"]) > 2){
                $url = $link["url"];
                $string = '<a href="' . htmlentities($url) . '">' . htmlentities( $link["body"] ) . "</a>";
                $string = htmlentities( $link["body"] ) . ' [' . '<a target="_new" href="' . htmlentities($url) . '">link</a>]'    ;
        }
        else {
                $string = htmlentities( $link["body"] );
        }
	return $string;
}

function link_detail($link)
{
        return  htmlentities( $link["body"] ) . "<br />" . '<a href="'  . htmlentities($link["url"]) . '">' . htmlentities( $link["url"] ) . "</a>";

}




function song_link()
{
        return song2link( item("jim_song") );
 }

function song2link($song)
{
        return '<a href="/music.html">' . htmlentities( $song["artist"] . ' "' . $song["name"]) . '"</a>';
}

function song2string($song)
{
        return htmlentities( $song["artist"] . ' "' . $song["name"]  . '" - ' . date(" M jS, g a",strtotime($song["playtimestamp"]))     );
}



function song_detail($song)
{
        return    " " . date("M d h:i a",strtotime($song["playtimestamp"])) . "&nbsp; &nbsp;" . htmlentities($song["artist"] . ' "' . $song["name"] .  '"');
}

















function recent_gallery(){

	$recentGallery = most_recent_gallery();
	$recentDirectory =  opendir( '/home/jimwelle/jims/chronological/' . $recentGallery   );
	$files = array();
	

	while( ( $imgFile = readdir( $recentDirectory ) )  ){
		if( preg_match("/^.*(jpg|jpeg)$/i",$imgFile) &&  ! preg_match("/^th_/i",$imgFile) )	{
				$files[] = $imgFile;
		}
	}


	echo 	'<script type="text/javascript">' . "\n";
	echo 	'<!-- ' . "\n";
	echo 	'	var galleryimages=new Array()' . "\n";
	$i = 0;
	rsort($files,SORT_REGULAR);
	$imgFile = $files[0];
	while( $i < 10 ){
	//foreach( $files as $file ){
		$file = $files[$i];
		if( $file )
		{
			echo '		galleryimages[' . $i . ']=["/jim-weller/images/gallery/' . $recentGallery . '/th_' . $file . '", "/gallery/' . $recentGallery . '/' . $file . '", ""]' . "\n";
		}
		$i++;
	}
	echo '		new fadeshow(galleryimages, 80, 80, 0, 3000, 1)' . "\n";
	echo 	'--> ' . "\n";
	echo 	'</script>' . "\n";
	echo '<a href="/gallery/' . $recentGallery . '">' . substr($recentGallery,0,10) . '</a>';


} 



function random_gallery(){

  // generated by cron script
	require_once('randomgallery.php');

}



function most_recent_gallery(){
	$dirs = array();
	chdir("/home/jimwelle/jims/chronological");
        if ( $dir_content = opendir("/home/jimwelle/jims/chronological") ) {
                while ( false !== ( $dir = readdir($dir_content)) ) {
                        if ( is_dir($dir) && $dir!='.' && $dir!='..' ) {
                                $dirs[]=$dir;
                        }
                }
        }
        rsort($dirs);
	return $dirs[0];
}


function recent_moblog(){

	$moblogImgDir = opendir("/home/jimwelle/jims/chronological/0moblog");

	$i=0;
	while( ( $imgFile = readdir($moblogImgDir) )  ){
		if( preg_match("/^[0-9].*(jpg|jpeg)$/i",$imgFile) )	{
				$files[$i] = $imgFile;
				$i++;
		}
	}

	rsort($files,SORT_REGULAR);

	echo 	'<script type="text/javascript">' . "\n";
	echo 	'<!-- ' . "\n";
	echo 	'	var moblogimages=new Array()' . "\n";
	$i = 0;
	while( $i < 10 ){
	//foreach( $files as $file )
	//{
		$file = $files[$i];
		echo '		moblogimages[' . $i . ']=["/jim-weller/images/gallery/0moblog/th_' . $file . '", "/gallery/0moblog/' . $file . '", ""]' . "\n";
		$i++;
	}
	echo '		new fadeshow(moblogimages, 80, 80, 0, 6400, 1)' . "\n";
	echo 	'--> ' . "\n";
	echo 	'</script>' . "\n";
	//echo '<a href="/gallery/0moblog">mobile</a>'; // <a href="/moblog/'.$imgFile.'">' . date ("Y.m.d", filemtime(ABSPATH . "moblog/" . $imgFile));
	//echo "<a class=\"moblogrecent\" href=\"/moblog/".$imgFile."\"><img alt=\"th_$imgFile\" class=\"moblogrecent\" src=\"/moblog/th_$imgFile\" /></a>";

}





































//function onthepress($mycount=1  , $mywho="jim" ) 
//{
//    global $wpdb;
//    $table = $mywho . '_book';
//    $query = "SELECT * FROM $table ORDER BY id DESC LIMIT $mycount";
//    $books = $wpdb->get_results( $query );
//
//    foreach ( $books as $book ){
//    	echo book_link($book);
//    }
//}
//
//function onthepress_full_old($count=20) 
//{
//    global $wpdb,$latestItemShowCount;
//
//    global $user_ID;
//    get_currentuserinfo();
//    if ('' != $user_ID ){
//	echo "<form action=\"/book.php\" method=\"get\">";
//	echo "title <input name=\"title\">";
//	echo "author <input name=\"author\">";
//	echo "<input type=\"hidden\" name=\"who\" value=\"jim\">";
//	echo "<input name=\"go\" value=\"go\" type=\"submit\">";
//	echo "</form>";
//    }
//
////    echo '<h3 class="storytitle">Reading</h3>';
//    echo "<ol>";
//    $books = $wpdb->get_results( "SELECT * FROM book ORDER BY id DESC LIMIT $count");
//    foreach ( $books as $book ){
//    	echo "<li>" .  " " . $book->name . " by " . $book->author . " (" . date("Y.m.d",strtotime($book->input_when)) . ")</li>\n";
//    }   
//
//    echo "</ol>";
//
//}


//function inthemix($count=1, $who="jim") 
//{
//    global $wpdb,$latestItemShowCount;
//    $table = $who . '_song';
//    $books = $wpdb->get_results( "SELECT * FROM $table ORDER BY id DESC LIMIT $count");
//
//    foreach ( $books as $book ){
//    	echo "<a href=\"/inthemix\">" . $book->name . " by " . $book->artist . "</a>\n";
//    }   
//
//}
//
//function inthemix_full() 
//{
//    global $wpdb,$latestItemShowCount;
//    $books = $wpdb->get_results( "SELECT distinct name,artist,playtimestamp FROM song  ORDER BY id DESC LIMIT 1000");
//
//    //echo '<h3 class="storytitle">Mixing</h3>';
//    echo "<ol>";
//    foreach ( $books as $book ){
//    	echo "<li>" . $book->artist . " \"<i>" .   $book->name . "</i>\" " . 	 date("m/d g:i a",strtotime($book->playtimestamp))  . "</li>\n";
//    }   
//    echo "</ol>";
//
//}
//
//function definitive($count=1, $who="jim") 
//{
//    global $wpdb,$latestItemShowCount;
//	
//    $table = $who . '_definition';
//    $books = $wpdb->get_results( "SELECT * FROM $table ORDER BY id DESC LIMIT $count");
//
//    foreach ( $books as $book ){
//	if( $book->url!= '' )
//		$url = $book->url;
//	else
//		$url = "http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&amp;va=" . $book->theword;
//    	echo "<a href=\"$url\">" . $book->theword . "</a>\n";
//    }   
//
//}
//
//
//function definitive_full() 
//{
//    global $wpdb,$latestItemShowCount;
//    $books = $wpdb->get_results( "SELECT * FROM definitive ORDER BY id DESC LIMIT 200");
//
//    echo '<h3 class="storytitle">Defining</h3>';
//
//    global $user_ID;
//
//    get_currentuserinfo();
//
//    if ('' != $user_ID ){
//	echo "<form action=\"/definition.php\" method=\"get\">";
//	echo "word <input name=\"name\">";
//	echo "url <input name=\"url\">";
//	echo "<input name=\"go\" value=\"go\" type=\"submit\">";
//	echo "</form>";
//    }
//
//
//    echo "<ol>";
//    foreach ( $books as $book ){
//    	echo '<li><a href="http://www.m-w.com/cgi-bin/dictionary?book=Dictionary&va=' . $book->theword . "\">" . $book->theword . "</a></li>\n";
//    }   
//    echo "</ol>";
//
//}
//
//
//function ephemera($count=1,$who="jim") 
//{
//    global $wpdb,$latestItemShowCount;
//    $table = $who . "_link";
//    $ephemeras = $wpdb->get_results( "SELECT * FROM $table ORDER BY id DESC LIMIT $count");
//
//    foreach ( $ephemeras as $ephemera ){
//    	$url = "/ephemera";
//    	if ( strlen($ephemera->url) > 2){
//    		$url = $ephemera->url;
//    	}
//    	echo "<a href=\"/ephemera.php\">" . $ephemera->body . "</a>\n";
//    }   
//
//}
//
//function ephemera_full() 
//{
//    global $wpdb,$latestItemShowCount;
//    $ephemeras = $wpdb->get_results( "SELECT * FROM link ORDER BY id DESC LIMIT 200");
//
//    //echo '<h3 class="storytitle">Ephemera</h3>';
//
//    global $user_ID;
//
//    get_currentuserinfo();
//
//    if ('' != $user_ID ){
//	echo "<form action=\"/ephemera.php\" method=\"get\">";
//	echo "ephemera <input name=\"name\">";
//	echo "url <input name=\"url\">";
//	echo "<input name=\"go\" value=\"go\" type=\"submit\">";
//	echo "</form>";
//    }
//
//
//
//    echo "<ol>";
//    foreach ( $ephemeras as $ephemera ){
//    	$url = "/ephemera";
//    	if ( strlen($ephemera->url) > 2){
//    		$url = $ephemera->url;
//	    	echo "<li>" . $ephemera->body . "<br /> [<a href=\"" . $url . "\">" . $url . "</a>]</li>\n";
//    	}
//    	else {
//	    	echo "<li>" . $ephemera->body . "</li>\n";
//    	}
//    }   
//
//}
//
//function wish($count=1,$who="jim") 
//{
//    global $wpdb,$latestItemShowCount;
//    $table = $who . "_wish";
//    $books = $wpdb->get_results( "SELECT * FROM $table ORDER BY id DESC LIMIT $count");
//
//    foreach ( $books as $book ){
//    	echo "<a href=\"/wish\">" . $book->body . "</a>\n";
//    }   
//
//}
//
//
//function wish_full() 
//{
//    global $wpdb,$latestItemShowCount;
//    $books = $wpdb->get_results( "SELECT * FROM wish ORDER BY id DESC LIMIT 200");
//
//    echo '<h3 class="storytitle">Wishing</h3>';
//    global $user_ID;
//
//    get_currentuserinfo();
//
//    if ('' != $user_ID ){
//	echo "<form action=\"/wish.php\" method=\"get\">";
//	echo "wish <input name=\"name\">";
//	echo "url <input name=\"url\">";
//	echo "<input name=\"go\" value=\"go\" type=\"submit\">";
//	echo "</form>";
//    }
//
//
//
//    echo "<ol>";
//    foreach ( $books as $book ){
//    	echo "<li>" . $book->body . "</a></li>\n";
//    }
//    echo "</ol>";
//
//}
//
//function headbar(){
//        global $user_ID,$user_login;
//
//echo
//        '<ul id="headbarlist">' .
////        '<!-- <li><a href="/gallery/2003.12.16/"><img src="/images/us.jpg"></a></li> -->' .
//        '<li id="headBarItem">&nbsp; <a href="/" class="pagetitle">Jim Weller</a> &nbsp;</li>' .
//        '<li><a href="/about">about</a></li>' .
//       '<li><a href="/recent/">recent</a></li>' .
//        '<li><a href="/gallery/">photo</a></li>' .
//        '<li><a href="/cams">video</a></li>' .
//        '<li><a href="/bookmarks">link</a></li>' .
//        '<li><a href="/category/journal">archive</a></li>' ;
////        '<!-- <li><a href="/topics">topics</a></li> -->' .
////        '<!-- <li><a href="/projects">projects</a></li> -->';
//
//
////        echo '<li>' . wp_register() . '</li>';
////        echo '<a href="' . get_settings('siteurl') . '/wp-login.php">' . wp_loginout() . '</a>';
////        echo '<li>';
////	wp_loginout();
////	echo  '</li>';
//
//
//
////echo    '<li><form id="searchform" method="get" action="/">' .
// //       '<table border="0" cellpadding="0" cellspacing="0"><tr><td>' .
// //       '<input class="search" type="text" value="search" name="s" size="15" onclick=\'value=""\' />' .
// //       '</td><td>' .
// //       '<input class="searchsubmitimg" type="image" src="/images/submit_arrow.gif" align="middle" />' .
// //       '</td></tr></table>' .
// //       '</form></li>' .
////        '<li><form id="subscribeform" method="post" action="http://list.jimweller.net/subscribe/sleepless">' .
////        '<input type="hidden" name="pw" value="sleepless" />' .
////        '<input type="hidden" name="pw-conf" value="sleepless" />' .
////        '<input type="hidden" name="digest" value="0" />' .
////        '<table border="0" cellpadding="0" cellspacing="0"><tr><td>' .
////        '<input class="search"  type="text" name="email" size="15" value="subscribe email"  onclick=\'value=""\' />' .
////        '</td><td>' .
////        '<input class="searchsubmitimg" type="image" src="/images/submit_arrow.gif" align="middle" />' .
////        '</td></tr></table>' .
////        '</form></li>' ;
//
//
//	echo         '</ul>';
//
//echo    '<form id="searchform" method="get" action="http://www.google.com/search">' .
//        '<input  type="hidden" value="www.jimweller.net" name="as_sitesearch" size="15" onclick=\'value=""\' />' .
//        '<input class="searchsubmitimg" type="image" src="/images/submit_arrow.gif" align="middle" />' .
//        '<input class="search" type="text" value="search site" name="q" size="15" onclick=\'value=""\' />' .
//        '</form>';
//
//
//        // '<a href="/cvs/">cvs</a> ';
//        // '<a href="/static/stats">stats</a>';
//}
//
//function admin_block()
//{
//        global $user_ID,$user_login;
//        if ( $user_login == 'jim' || $user_login == 'olivia' ){
//                echo '<b><a href="' . get_settings('siteurl') . '/wp-admin/">' . __('admin') . '</a></b> &nbsp; ';
//                echo '<b><a href="' . get_settings('siteurl') . '/wp-login.php?action=logout">' . __('logout') . '</a></b>';
//        }
//	else
//	{
////                echo '<li>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; <a href="' . get_settings('siteurl') . '/wp-admin/">' . __('login') . '</a></li>';
//	}		
//
//}
//
//
//function title_image(){
//
//	$titleImgDir = opendir("wp-static");
//	$titleCounter = 0;
//	$userCounter = 0;
//
//
//	while( $imgFile = readdir($titleImgDir) ){
//		if( ereg("^title.*gif$",$imgFile) ){
//			$titleCounter++;
//		}
//	}
//	
//
//	if( isset( $_REQUEST['jimwellertitleimage']) ){
//		$userCounter = $_REQUEST['jimwellertitleimage'];
//	} else {
//		$userCounter = $titleCounter;
//	}
//	
//	if( $userCounter > 1 ){
//		if( ereg("jimwellertitleimage",$_SERVER['REQUEST_URI']) ){
//			$uri = $_SERVER['REQUEST_URI'];
//			$counter = $userCounter-1;
//			$uri = ereg_replace("^(.*)(jimwellertitleimage=)([0-9]+)(.*)$", "\\1\\2$counter\\4", $uri);
//			echo "<a href=\""  . $uri . "\"><img id=\"titlenavleft\" src=\"/images/prev.gif\" alt=\"prev\" /></a>";
//		} else {
//			echo "<a href=\""  . $_SERVER['REQUEST_URI'] . "?jimwellertitleimage=" . ($userCounter-1) . "\"><img id=\"titlenavleft\" src=\"/images/prev.gif\" alt=\"prev\" /></a>";
//		}
//	} else {
//		echo "<img id=\"titlenavleft\" src=\"/images/prevnextblank.gif\" alt=\"prev\" />";
//	}
//
//	echo "<a href=\"/titleimages\"><img id=\"titleimage\" src=\"/wp-static/";
//	printf("title%06d",$userCounter);
//	echo ".gif\" alt=\"prev\" /></a>";
//	
//	if( $userCounter < $titleCounter ){
//		if( ereg("jimwellertitleimage",$_SERVER['REQUEST_URI']) ){
//			$uri = $_SERVER['REQUEST_URI'];
//			$counter = $userCounter+1;
//			$uri = ereg_replace("^(.*)(jimwellertitleimage=)([0-9]+)(.*)$", "\\1\\2$counter\\4", $uri);
//			echo "<a href=\""  . $uri . "\"><img id=\"titlenavright\" src=\"/images/next.gif\" alt=\"prev\" /></a>";
//		} else {
//			echo "<a href=\""  . $_SERVER['REQUEST_URI'] . "?jimwellertitleimage=" . ($userCounter+1) . "\"><img id=\"titlenavleft\" src=\"/images/prev.gif\" alt=\"prev\" /></a>";
//		}
//	}
//
//}
//
//
//function title_images(){
//
//	$titleImgDir = opendir("wp-static");
//
//	echo "<h3 class=\"storytitle\">Title Slivers</h3>";
//
//	while( $imgFile = readdir($titleImgDir) ){
//		if( ereg("^title.*gif$",$imgFile) ){
//				$files[] = $imgFile;
//		}
//	}
//
//	rsort($files,SORT_REGULAR);
//
//	foreach ( $files as $imgFile){
//		//$imgFile=$files[$counter];
//		echo "<a href=\"/wp-static/$imgFile\"><img alt=\"$imgFile\" id=\"titleimagegallery\"src=\"/wp-static/$imgFile\" /></a><br>";
//	}
//
//}

//function moblog_full(){
//
//	$moblogImgDir = opendir("moblog");
//	
//	while( ( $imgFile = readdir($moblogImgDir) ) ){
//		if( preg_match("/^[0-9].*(jpg|jpeg)$/i",$imgFile) )	{
//				$files[] = $imgFile;
//		}
//	}
//	rsort($files,SORT_REGULAR);
//	$imgFile = $files[count($files)-1];
//
//	echo "<h3 class=\"storytitle\">Moblog</h3>";
//	for( $counter=0;$counter<20;$counter++){
//		$imgFile=$files[$counter];
//		echo "<a href=\"/moblog/$imgFile\"><img alt=\"th_$imgFile\" class=\"moblog\" src=\"/moblog/th_$imgFile\" /></a>";	
//	}
//}


//function random_pic(){
//	echo "<a href=\"/randomimages\"><img alt=\"randomimage0.jpg\" class=\"moblogrecent\" src=\"/wp-static/randomimage0.jpg\" /></a>";
//}
//
//function random_pics(){
// 		require("wp-static/randomimages.php");
//}
//
//
//function recent_pic(){
//	echo "<a href=\"/recentimage0\"><img alt=\"randomimage0.jpg\" class=\"moblogrecent\" src=\"/wp-static/recentimage0.jpg\" /></a>";
//}
//
//function recent_pics(){
//		require("wp-static/recentimage0.php");
//}
//
//function random_full(){
//	echo "<h3 class=\"storytitle\">Random Pictures</h3>";
//	require(ABSPATH . "/wp-static/randomimages.php");
//}








// facebook
/* 
Stats2Site is a PHP function that parses your Facebook Status RSS feed so it can be displayed on any website. No need to be running Wordpress or Drupal!

Created By: Blake Brannon http://www.blakebrannon.com
Date: 11/18/2007

Usage: 	Just include this file in your page and then call: <?php if(function_exists('put_Stats2Site')){put_Stats2Site();} ?>
		You will need to configure the first section of the file below to add your credentials. To get your Facebook RSS feed URL, see instructions at http://www.blakebrannon.com/2007/11/18/stats2site-add-facebook-status-to-your-website/
		If you are having issues with the function working, check and make sure your FB privacy credentials allow your status feed to be viewed.

*/

function put_Stats2Site() {
	// Please edit the variables below. All 8 variables should be specified.
	$url = 'Your Facebook RSS Feed Here'; // Your Facebook RSS Feed
	$fbname = 'Jim Weller'; 		// Facebook name (that matches the above feed).
	$rmnameis = true;		// Boolean that dictates if you would like to remove the "Name is" before your updates (true or false).
	$prefix = '<p>'; 		// HTML Tags to go before your Facebook status. ex. <p>, <ul><li>,...
	$suffix = '</p>'; 		// HTML Tags to go after your Facebook status. ex. </p>, </li></ul>,...
	$numofupdates = 1;		// Number of updates you want to display, (1, 2, 3, 4,...).
	$showtimestamp = true; 	// Show the time of the status update (true or false).
	$showfeedback = false;	// Show the feeback link at the end (true or false).
	
	// ********************************************************************************************************************************
	// Starting The Code
	
	// Variable needed for the algorithm.
	$firstpass = true;	// Identifies the first loop.
	// Fix numofupdates because it is indexed from zero
	$numofupdates--;
	
	
	//Setupcurl
	$ch = curl_init();
	curl_setopt ($ch, CURLOPT_URL, $url);
	curl_setopt ($ch, CULROPT_HEADER, 0);
	
	// SpoofFirefox
	curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-US; rv:1.8.1.1) Gecko/20061223 Firefox/2.0.0.1");
	
	//Beginoutputbuffering
	ob_start();
	curl_exec ($ch);
	curl_close ($ch);
	
	//Savebuffertostring
	$xmlstr = ob_get_contents();
	ob_end_clean();
	
	//Convertstringtoxmlobject
	$xml = new SimpleXMLElement($xmlstr);
	
	
	// Create Facebook prefix
	$fbprefix = $fbname . " is ";
	
	// Start the loop
	for ($count = 0; $count <= $numofupdates; $count++) { 
	
		// If you want to remove the "Name is"
		if ($rmnameis) {
			//Remove prefix from facebook statusmessage
			$message = str_replace($fbprefix,null,$xml->channel->item[$count]->title);
		
		}else{
			$message = $xml->channel->item[$count]->title;
		}
		
		
		// If you want to place the timestamp on the update.
		if ($showtimestamp && $message != '') {
			
			$timestamp = strtotime($xml->channel->item[$count]->pubDate); // Get the timestamp for the post update.
			
			// Calculate how long it's been since the status was updated (relative).
			$currenttime = time();
			$delta = $currenttime - $timestamp;
			
			// Display how long it's been since the last update.
			$timestampdisplay = " - Updated ";
			
			// Show days if it's been more than a day.
			if(floor($delta / 84600) > 0) {
				$timestampdisplay .= floor($delta / 84600);
				if(floor($delta / 84600) == 1) { $timestampdisplay .= ' day, '; } else { $timestampdisplay .= ' days, '; }
				$delta -= 84600 * floor($delta / 84600);
			}
			
			// Show hours if it's been more than an hour.
			if(floor($delta / 3600) > 0) {				
				$timestampdisplay .= floor($delta / 3600);
				if(floor($delta / 3600) == 1) { $timestampdisplay .= ' hour, '; } else { $timestampdisplay .= ' hours, '; }
				$delta -= 3600 * floor($delta / 3600);
			}
			
			// Show minutes if it's been more than a minute.
			if(floor($delta / 60) > 0) {	
				$timestampdisplay .= floor($delta / 60);
				if(floor($delta / 60) == 1) { $timestampdisplay .= ' minute ago'; } else { $timestampdisplay .= ' minutes ago'; }
				$delta -= 60 * floor($delta / 60);				
				}else{			
				$timestampdisplay .= $delta;
				if($delta == 1) { $timestampdisplay .= ' second ago'; } else { $timestampdisplay .= ' seconds ago'; }		
				}
				
			
			$message .= $timestampdisplay;
		
		}// End of Timestamp
	
	// If no updates are available.
	if ($message == '' && $firstpass) {
		$message = $fbname . ' has no recent status updates.';
		echo $prefix . $message . $suffix;
		break; 
	}
	
	// Set the value of $firstpass to know that at least one update has been posted
	$firstpass = false;
	
	// Capitalize first letter
	$message = ucfirst($message);
	
	// Echo out the status update.
	echo $prefix . $message . $suffix;
	
	}
	// Add feedback link.
	if ($showfeedback){
		echo '<p>Powered by <a href="http://www.blakebrannon.com/2007/11/18/stats2site-add-facebook-status-to-your-website/">Stats2Site</a></p>';
	}else{
		echo '<!-- Powered by <a href="http://www.blakebrannon.com/2007/11/18/stats2site-add-facebook-status-to-your-website/">Stats2Site</a> -->';
	}
}

